Subject: Re: bug#36697: 27.0.50; gnus: some articles with score 0 are killed

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 23 Jul 2020 15:56:08 +0200

Sam Steingold <[email-masked]> writes:

> The problem is still there as reported originally.
> I am at a loss as to how to debug it - I looked at the scoring code and
> could not figure out what is going on there. Sorry.

OK, reopening.

> If you tell me something like "function foo should return A in your
> case, figure out why it returns B", I am more than willing to debug.

The scoring that the "Y-" stuff is coming from is done in the
`gnus-score-headers' function.  If you have a summary buffer that
displays this problem, and there's just a couple of messages in it, it
should be possible to edebug through that long function and see where it
goes wrong, I think.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no